hudLoad = {};
function hudLoad.prerequisitesPresent(specializations) return true; end;
function hudLoad:load(xmlFile) self.speedWaitingMaxTimeHud = 2500; self.speedWaitingTimerHud = 1; 
	self.hudFirst  = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.hudImage#firstIndex"));
	self.hudSecond = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.hudImage#secondIndex"));
	self.hudThird  = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.hudImage#thirdIndex")); end;
function hudLoad:delete() end;
function hudLoad:mouseEvent(posX, posY, isDown, isUp, button) end;
function hudLoad:keyEvent(unicode, sym, modifier, isDown) end;
function hudLoad:update(dt) if self.isMotorStarted then 
	if self.speedWaitingTimerHud < self.speedWaitingMaxTimeHud 
		then setVisibility(self.hudFirst, true); setVisibility(self.hudSecond, false); setVisibility(self.hudThird, false); end;
	if self.speedWaitingTimerHud < (self.speedWaitingMaxTimeHud + self.speedWaitingMaxTimeHud) and self.speedWaitingTimerHud > self.speedWaitingMaxTimeHud
		then setVisibility(self.hudFirst, false); setVisibility(self.hudSecond, true); setVisibility(self.hudThird, false); end;
	if self.speedWaitingTimerHud < (self.speedWaitingMaxTimeHud + self.speedWaitingMaxTimeHud + self.speedWaitingMaxTimeHud) and self.speedWaitingTimerHud > (self.speedWaitingMaxTimeHud + self.speedWaitingTimerHud) 
		then setVisibility(self.hudFirst, false); setVisibility(self.hudSecond, false); setVisibility(self.hudThird, true); end;
		self.speedWaitingTimerHud = self.speedWaitingTimerHud + dt;
	else self.speedWaitingTimerHud = 1; setVisibility(self.hudFirst, false); setVisibility(self.hudSecond, false); setVisibility(self.hudThird, false); end; end;
function hudLoad:loadFromAttributesAndNodes(xmlFile, key, resetVehicles) return BaseMission.VEHICLE_LOAD_OK; end;
function hudLoad:getSaveAttributesAndNodes(nodeIdent) end;
function hudLoad:updateTick(dt) end;
function hudLoad:draw() end;
function hudLoad:onAttach(attacherVehicle, jointDescIndex) end;
function hudLoad:onDetach() end;
function hudLoad:onDeactivate() end;